#include <stdio.h>
#include <stdlib.h>



int count_change_options(const int amount) {
	if (amount < 0) { return 0; }
	if (amount == 0) { return 1; }
	int count = 0;
	for (int tens = amount / 10; tens >= 0; --tens) {
		const int rem10 = amount - tens * 10;
		for (int twos = rem10 / 2; twos >= 0; --twos) {
			const int rem2 = rem10 - twos * 2;
#ifdef DEBUG
			printf("%d =   %d x10   +   %d x2   +   %d x1\n", amount, tens, twos, rem2);
#endif
			++count;
		}
	}
	return count;
}


int main(int argc, char **argv) {
	const int amount = atoi(argv[1]);
	printf("\n%d\n\n", count_change_options(amount));
	return 0;
}
